Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class ControlReader

    java.lang.Object
      writer2latex.office.ControlReader

    public class ControlReader

extends java.lang.Object

This class reads a form control in an OOo document (a form:control node). A control always has an owner form. Properties and events are ignored.

Field Summary
`private org.w3c.dom.Element` | `control`
`private org.w3c.dom.Element` | `controlType`
`private java.util.Vector` | `items`
`private FormReader` | `ownerForm`
`private java.lang.String` | `sId`

Constructor Summary
`ControlReader(org.w3c.dom.Element control, FormReader ownerForm)` The constructor reads the content of a control element The representation in OpenDocument differs slightly from OOo 1.x.

Method Summary
`java.lang.String` | `getAttribute(java.lang.String sName)` Get an attribute of the control.
`java.lang.String` | `getControlType()` The type of the control is identified by a name, eg. form:submit
`java.lang.String` | `getId()` A control in OOo is identified by id (`form:control-id` attribute.
`java.lang.String` | `getItemAttribute(int nIndex, java.lang.String sName)` Get an attribute of an option/item.
`int` | `getItemCount()` Return the number of options/items in this control.
`java.lang.String` | `getItemValue(int nIndex)` Get the value of an option/item.
`FormReader` | `getOwnerForm()` A control in OOo belongs to a form.
`java.lang.String` | `getTypeAttribute(java.lang.String sName)` Get an attribute specific to this type of control.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ownerForm

    private FormReader ownerForm

### sId

    private java.lang.String sId

### control

    private org.w3c.dom.Element control

### controlType

    private org.w3c.dom.Element controlType

### items

    private java.util.Vector items

Constructor Detail

### ControlReader

    public ControlReader(org.w3c.dom.Element control,
                         FormReader ownerForm)

  The constructor reads the content of a control element

  The representation in OpenDocument differs slightly from OOo 1.x.

  Parameters:
    `control` - a DOM element, which must be control node

Method Detail

### getId

    public java.lang.String getId()

  A control in OOo is identified by id (`form:control-id` attribute. The id is accessed by this method.

  Returns:
    the id of the control

### getOwnerForm

    public FormReader getOwnerForm()

  A control in OOo belongs to a form.

  Parameters:
    `the` - form containing this control

### getAttribute

    public java.lang.String getAttribute(java.lang.String sName)

  Get an attribute of the control. If the attribute does not exist, this method returns `null`.

  Parameters:
    `sName` - the name of the attribute
  Returns:
    the value of the attribute, or `null`

### getControlType

    public java.lang.String getControlType()

  The type of the control is identified by a name, eg. form:submit

  Returns:
    the type of this control

### getTypeAttribute

    public java.lang.String getTypeAttribute(java.lang.String sName)

  Get an attribute specific to this type of control. If the attribute does not exist, this method returns `null`.

  Parameters:
    `sName` - the name of the attribute
  Returns:
    the value of the attribute, or `null`

### getItemCount

    public int getItemCount()

  Return the number of options/items in this control. Only listbox (options) and combobox (items) controls can have these, for other controls this will return 0.

  Returns:
    the number of options/items

### getItemAttribute

    public java.lang.String getItemAttribute(int nIndex,
                                             java.lang.String sName)

  Get an attribute of an option/item. If the index and/or the attribute does not exist, this method returns `null`.

  Parameters:
    `nIndex` - the index of the option/item
    `sName` - the name of the attribute
  Returns:
    the value of the attribute, or `null`

### getItemValue

    public java.lang.String getItemValue(int nIndex)

  Get the value of an option/item. If the index does not exist, this method returns `null`.

  Parameters:
    `nIndex` - the index of the option/item
  Returns:
    the value of the option/item, or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD